[loggers]
keys=root,lbapi,lbanalysisproductions,fastapi,anaprod,celery,kombu,opensearch,httpx,httpcore

[handlers]
keys=consoleHandler

[formatters]
keys=defaultFormatter

[logger_root]
level=DEBUG
handlers=consoleHandler

[logger_lbapi]
level=DEBUG
handlers=consoleHandler
qualname=LbAPI
propagate=0

[logger_lbanalysisproductions]
level=DEBUG
handlers=consoleHandler
qualname=LbAnalysisProductions
propagate=0

[logger_anaprod]
level=DEBUG
handlers=consoleHandler
qualname=anaprod
propagate=0

[logger_fastapi]
level=DEBUG
handlers=consoleHandler
qualname=fastapi
propagate=0

[logger_celery]
level=DEBUG
handlers=consoleHandler
qualname=celery
propagate=0

[logger_kombu]
level=DEBUG
handlers=consoleHandler
qualname=kombu
propagate=0

[logger_opensearch]
level=INFO
handlers=consoleHandler
qualname=opensearch
propagate=0

[logger_httpx]
level=INFO
handlers=consoleHandler
qualname=httpx
propagate=0

[logger_httpcore]
level=INFO
handlers=consoleHandler
qualname=httpcore
propagate=0

[handler_consoleHandler]
class=StreamHandler
level=DEBUG
formatter=defaultFormatter
args=(sys.stdout,)

[formatter_jsonFormatter]
class=LbAPI.logs.JsonFormatter

[formatter_defaultFormatter]
class=logging.Formatter
format=%(name)s - %(levelname)s - %(message)s
